CC=bcc32
# -pr: use fastcall (register)
CFLAGS=-5 -DZ_SOLO -O2 -a4 -c -d -k- -pr -u-

all: adler32.obj crc32.obj infback.obj inffast.obj inflate.obj inftrees.obj

clean:
	-del *.obj

adler32.obj: adler32.c zutil.h zlib.h zconf.h
crc32.obj: crc32.c zutil.h zlib.h zconf.h crc32.h
infback.obj: infback.c zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h inffixed.h
inffast.obj: inffast.c zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.obj: inflate.c zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h inffixed.h
inftrees.obj: inftrees.c zutil.h zlib.h zconf.h inftrees.h

.c.obj:
	$(CC) $(CFLAGS) $*.c
